Subject: Re: bug#56815: 29.0.50; Isearch lazy-highlight highlights too much when truncate-lines is in effect

From: Eli Zaretskii <[email-masked]>
Date: Mon, 22 Aug 2022 14:32:01 +0300

> From: Juri Linkov <[email-masked]>
> Cc: [email-masked],  [email-masked],  [email-masked]
> Date: Mon, 22 Aug 2022 09:48:47 +0300
> 
> >> I guess it could be in simple.el.  But what would be a good name?
> >> Maybe 'truncate-lines-p'?
> >
> > lines-truncated-p, I guess.  Or window-lines-truncated-p.  And I think
> > it should be in window.el.
> 
> To keep the prefix like in all truncate-related names,
> truncated-partial-width-window-p could serve as an example:

It has "window" in its name.  Your proposal doesn't, so the name is
too general, IMO.

> Or can truncated-partial-width-window-p be called directly?  By just
> 
>   (or truncate-lines (truncated-partial-width-window-p))

Fine by me.